> For the complete documentation index, see [llms.txt](https://docs.decentraland.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.decentraland.org/contributor/contributor-pt/conteudo/tipos-de-entity/profiles.md).

# Perfis

Os perfis são a descrição básica de um jogador, com informações como o nome no mundo e o avatar.

Eles estão disponíveis em servidores de conteúdo como regulares [entidades](https://github.com/decentraland/docs/tree/main/contributor/entities/README.md), embora os World Explorers normalmente aproveitem o sistema de comunicações para obter versões atualizadas em tempo real.

O sistema está preparado para permitir múltiplas identidades com o mesmo proprietário, todas incluídas como avatars no manifesto da entidade. Na prática, porém, a grande maioria dos jogadores tem apenas uma.

### Ponteiros <a href="#pointers" id="pointers"></a>

Perfil [ponteiros](https://github.com/decentraland/docs/tree/main/contributor/pointers/README.md) são o endereço Ethereum do proprietário, sem qualquer prefixo ou sufixo. Por exemplo:

```
0x210c4415d6a71195af76beef9b85dd0eb43f35df
```

### Campos de Metadata

| Campo     | Valor                                                                           |
| --------- | ------------------------------------------------------------------------------- |
| `avatars` | Uma matriz de descrições para cada um dos avatars do proprietário (ver abaixo). |

### Avatars

Cada avatar em `metadata.avatars[]` representa uma identidade com o mesmo proprietário e tem uma série de propriedades que permitem aos clients exibir perfis, renderizar avatars no mundo e contactar o proprietário.

| Campo            | Valor                                                                                                                                  |
| ---------------- | -------------------------------------------------------------------------------------------------------------------------------------- |
| `userId`         | O [pointer](https://github.com/decentraland/docs/tree/main/contributor/pointers/README.md) que resolve (ou resolvia) para este perfil. |
| `name`           | O nome de exibição deste jogador.                                                                                                      |
| `email`          | (Opcional) Um endereço de e-mail para este jogador.                                                                                    |
| `description`    | (Opcional) Texto escolhido pelo jogador para se descrever.                                                                             |
| `ethAddress`     | O endereço Ethereum deste jogador (atualmente igual ao seu `userId`).                                                                  |
| `hasClaimedName` | Se o `name` campo é um nome ENS reivindicado.                                                                                          |
| `unclaimedName`  | Um nome temporário para utilizadores sem um nome ENS (por exemplo, convidados).                                                        |
| `tutorialStep`   | O progresso do tutorial para este jogador.                                                                                             |
| `avatar`         | Propriedades do avatar do jogador no mundo (ver abaixo).                                                                               |

Um exemplo:

```json
{
  "userId": "0x210c4415d6a71195af76beef9b84dd0eb43f35da",
  "name": "Bob",
  "email": "",
  "hasClaimedName": false,
  "description": "",
  "ethAddress": "0x210c4415d6a71195af76beef9b84dd0eb43f35da",
  "avatar": {
    // Veja abaixo
  }
}
```

#### Campo do Avatar

O `metadata.avatars[].avatar` o campo tem todas as informações que um World Explorer (ou outros clients, como um editor de avatar independente) precisa para renderizar um jogador.

| Campo       | Valor                                                                                                                                                     |
| ----------- | --------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `bodyShape` | O [pointer](https://github.com/decentraland/docs/tree/main/contributor/pointers/README.md) à entidade da body shape do avatar.                            |
| `snapshots` | Um objeto com imagens para este avatar (ver abaixo).                                                                                                      |
| `eyes`      | Um objeto com um `color` na forma de um `{ r, g, b }` objeto para os olhos do avatar.                                                                     |
| `hair`      | Um objeto com um `color` na forma de um `{ r, g, b }` objeto para o cabelo do avatar.                                                                     |
| `skin`      | Um objeto com um `color` na forma de um `{ r, g, b }` objeto para a skin do avatar.                                                                       |
| `wearables` | Um array de [wearable pointers](https://github.com/decentraland/docs/tree/main/contributor/entity-types/wearables/README.md#pointers) em uso pelo avatar. |

Para ilustrar:

```json
{
  "bodyShape": "urn:decentraland:off-chain:base-avatars:BaseMale",
  "snapshots": {
    // Veja abaixo
  },
  "eyes": {
    "color": { "r": 0.37109375, "g": 0.22265625, "b": 0.1953125 }
  },
  "hair": {
    "color": { "r": 0.234375, "g": 0.12890625, "b": 0.04296875 }
  },
  "skin": {
    "color": { "r": 0.80078125, "g": 0.609375, "b": 0.46484375 }
  },
  "wearables": [
    "urn:decentraland:off-chain:base-avatars:eyes_00",
    "urn:decentraland:off-chain:base-avatars:eyebrows_00",
    "urn:decentraland:off-chain:base-avatars:mouth_00",
    "urn:decentraland:off-chain:base-avatars:m_mountainshoes.glb",
    "urn:decentraland:off-chain:base-avatars:sport_jacket",
    "urn:decentraland:off-chain:base-avatars:brown_pants",
    "urn:decentraland:off-chain:base-avatars:aviatorstyle",
    "urn:decentraland:off-chain:base-avatars:casual_hair_03",
    "urn:decentraland:off-chain:base-avatars:Mustache_Short_Beard"
  ]
}
```

#### Snapshots

O `metadata.avatars[].avatar.snapshots` o campo contém [identificadores de ficheiros](https://github.com/decentraland/docs/tree/main/contributor/filesystem/README.md#identifiers) para imagens (incluídas no [`content` campo de nível superior](https://github.com/decentraland/docs/tree/main/contributor/entities/README.md#properties)). Cada propriedade é um tipo de imagem e, atualmente, existem dois: `face256` (uma miniatura) e `body` (uma versão em tamanho real).

Por exemplo:

```json
{
  "face256": "bafkreidvjwc3gqqdqk646rqnxnqzpsyjsjafqfc76zenfgjnm2ahbvrtsd",
  "body": "bafkreigclygt6vzzu7myzg3weifapb3a5uec245lzndg4f53y4vfb3cmwm"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.decentraland.org/contributor/contributor-pt/conteudo/tipos-de-entity/profiles.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
